Move a folder
POST
/projects/{project_id}/folders/{folder_id}/moveBase URL
https://arcus.testsigma.com/api/v1Moves a folder within a project to a new parent folder.
Authenticate with your API key as a
Bearer token in the Authorization header. How to authenticate →Path parameters
project_id | Unique identifier of the project that contains the folder. |
folder_id | Unique identifier of the folder to move. |
Request body
parent_folder_id | Identifier of the new parent folder to which the folder will be moved. |
Response attributes
message | Status message for the request; may be empty. |
data.folder.id | Unique identifier of the moved folder. |
data.folder.name | Name of the moved folder. |
data.folder.project_id | Identifier of the project to which the folder belongs. |
data.folder.children | Array of child folders, if any. |
data.folder.parent_folder_id | Identifier of the new parent folder. |
data.folder.order | Order index of the folder within the parent folder. |
Request
curl -X POST \
'https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}/move' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"parent_folder_id": "c69216e0-e2a9-401f-9e08-77176abce8c4"
}'const response = await fetch('https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}/move', {
method: 'POST',
headers: {
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
"parent_folder_id": "c69216e0-e2a9-401f-9e08-77176abce8c4"
})
});
const data = await response.json();import requests
response = requests.post(
'https://arcus.testsigma.com/api/v1/projects/{project_id}/folders/{folder_id}/move',
headers={
'Authorization': 'Bearer <API_KEY>',
'Content-Type': 'application/json'
},
json={
"parent_folder_id": "c69216e0-e2a9-401f-9e08-77176abce8c4"
}
)
data = response.json()Response200 OK
{
"message": "",
"data": {
"folder": {
"id": "c7db032b-d7ca-413b-8bff-74073e9618c4",
"name": "Smoke Tests",
"project_id": "c47ade67-0543-4582-a4a5-b7de447c94f5",
"children": [],
"parent_folder_id": "c69216e0-e2a9-401f-9e08-77176abce8c4",
"order": 50
}
}
}Was this page helpful?
Thanks for the feedback.